Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 884677 - Review Request: rubygem-rabl - General Ruby templating with JSON, BSON, XML and MessagePack support
Summary: Review Request: rubygem-rabl - General Ruby templating with JSON, BSON, XML a...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 884604
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-06 14:35 UTC by Josef Stribny
Modified: 2016-01-04 05:50 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-10 07:47:23 UTC
Type: ---
msuchy: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Josef Stribny 2012-12-06 14:35:52 UTC
Spec URL: http://data-strzibny.rhcloud.com/rubygem-rabl.spec
SRPM URL: http://data-strzibny.rhcloud.com/rubygem-rabl-0.7.9-1.fc19.src.rpm
Description: General Ruby templating with JSON, BSON, XML and MessagePack support.
Fedora Account System Username: jstribny

Comment 1 Miroslav Suchý 2012-12-07 12:29:54 UTC
Incorrect license (It is MIT actually).

Can you please put at the end of %install
rm -rf ./%{gem_instdir}/.yardoc

so build pass even for those of us, who have installed yardoc?

Comment 2 Josef Stribny 2012-12-10 15:53:02 UTC
I fixed the license:

Spec URL: http://data-strzibny.rhcloud.com/rubygem-rabl.spec
SRPM URL: http://data-strzibny.rhcloud.com/rubygem-rabl-0.7.9-2.fc19.src.rpm

Although, I don't think that I should be deleting .yardoc during the install step. This is not a package issue, because this file is NOT part of the gem and it builds correctly for Fedora in Koji. We shouldn't put user-specific fixes like that in the spec file, should we?

Comment 3 Josef Stribny 2012-12-12 13:31:46 UTC
I changed the way how tests are ran and removed the minitest dependency (because of rubygem-riot):

Spec URL: http://data-strzibny.rhcloud.com/rubygem-rabl.spec
SRPM URL: http://data-strzibny.rhcloud.com/rubygem-rabl-0.7.9-3.fc19.src.rpm

Comment 4 Miroslav Suchý 2013-03-15 08:39:49 UTC
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Spec file lacks Packager, Vendor, PreReq tags.
  Note: Found : Packager: Miroslav Suchý <msuchy@redhat.com>
  See: (this test has no URL)
- License field in the package spec file matches the actual license.
  Note: Checking patched sources after %prep for licenses. No licenses found.
  Please check the source files for licenses manually.
  See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#ValidLicenseShortNames


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
     Note: Using prebuilt rpms.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Large documentation must go in a -doc subpackage.
[x]: Packages must not store files under /srv, /opt or /usr/local
     Note: Cannot unpack rpms (using --prebuilt?)
[!]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
     Note: Re-using old build in mock
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.

Ruby:
[x]: Platform dependent files must all go under %{gem_extdir}, platform
     independent under %{gem_dir}.
[x]: Gem package must not define a non-gem subpackage
[x]: Gem package is named rubygem-%{gem_name}
[x]: Package contains BuildRequires: rubygems-devel.
[x]: gems should require rubygems package
[x]: Gem package must define %{gem_name} macro.
[x]: Pure Ruby package must be built as noarch
[x]: Package contains Requires: ruby(abi).

===== SHOULD items =====

Generic:
[!]: Reviewer should test that the package builds in mock.
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane.
[?]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[!]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Ruby:
[x]: Specfile should use macros from rubygem-devel package.
[x]: Test suite of the library should be run.
[x]: Gem package should exclude cached Gem.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[?]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


It looks good. Only problem is that it can not be build. F18 is missing deps. And F19 already have ruby 2.0 so you need to update requires on abi.
And you may use rabl 0.8, which have different deps.

Comment 5 Josef Stribny 2013-03-18 13:31:34 UTC
Thanks for continuing with the review. I made a necessary change regarding the new guidelines for f19 and updated to rabl 0.8.0 along the way.

SPEC: http://data-strzibny.rhcloud.com/rubygem-rabl.spec
SRPM: http://data-strzibny.rhcloud.com/rubygem-rabl-0.8.0-1.fc20.src.rpm
KOJI: http://koji.fedoraproject.org/koji/taskinfo?taskID=5136874

Comment 6 Miroslav Suchý 2013-03-18 13:58:55 UTC
Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package contains Requires: ruby(abi).
  See: http://fedoraproject.org/wiki/Packaging:Ruby#Ruby_ABI
- License field in the package spec file matches the actual license.
  Note: Checking patched sources after %prep for licenses. No licenses found.
  Please check the source files for licenses manually.
  See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#ValidLicenseShortNames


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
     Note: Using prebuilt rpms.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Large documentation must go in a -doc subpackage.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.

Ruby:
[-]: Platform dependent files must all go under %{gem_extdir}, platform
     independent under %{gem_dir}.
[x]: Gem package must not define a non-gem subpackage
[x]: Gem package is named rubygem-%{gem_name}
[x]: Package contains BuildRequires: rubygems-devel.
[x]: gems should require rubygems package
[x]: Gem package must define %{gem_name} macro.
[x]: Pure Ruby package must be built as noarch

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Ruby:
[x]: Specfile should use macros from rubygem-devel package.
     Note: The specfile doesn't use these macros: %exclude %{gem_cache},
     %{gem_spec}, %{gem_libdir}, %doc %{gem_docdir}
[x]: Test suite of the library should be run.
[x]: Gem package should exclude cached Gem.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


APPROVED

Comment 7 Josef Stribny 2013-03-18 15:39:17 UTC
New Package SCM Request
=======================
Package Name: rubygem-rabl
Short Description: General Ruby templating with JSON, BSON, XML and MessagePack support
Owners: jstribny
Branches:
InitialCC:

Comment 8 Gwyn Ciesla 2013-03-18 15:42:07 UTC
Git done (by process-git-requests).

Comment 9 Miroslav Suchý 2013-04-03 14:18:51 UTC
Ping. 
I see that you built package for F20, so you can close this BZ now.
And may I ask you to build F19 package too? Please.

Comment 10 Josef Stribny 2013-04-08 08:19:41 UTC
Package Change Request
======================
Package Name: rubygem-rabl
New Branches: f19
Owners: jstribny

Comment 11 Gwyn Ciesla 2013-04-08 15:13:30 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.